app.home=~/project/uweaver
app.package=org.uweaver.console

data.folder=var/data
log.folder=var/log
cache.folder=var/cache
tmp.folder=var/tmp

# 國際化的設定
locale.language=zh
locale.country=TW

# 日期時間的設定
datetime.timeZone=Asia/Taipei
datetime.dateTimePattern=yyyy-MM-dd HH:mm:ss.SSS
datetime.datePattern=yyyy-MM-dd
datetime.timePattern=HH:mm:ss

# 資源檔案的設定
resource.encoding=UTF-8
resource.exception=exception
resource.keyword=keyword
resource.message=message
resource.term=term

# 檔案輸出入的設定
file.encoding=UTF-8

# 系統日誌的設定
logger.level=true

# 網路服務的設定
webservice.trace=true


# 使用連線 idle 的逾時設定．以分鐘為單位
session.timeout=30

# 線上作業的逾時設定．以分鐘為單位．
online.timeout=10
online.maxUploadSize=3072

# 批次作業的逾時設定．以分鐘為單位．
batch.timeout=30

# 技術支援的設定
helpdesk.email=alice@leandev.com.tw

# 資料庫設定
db.username=wbasemgr
db.password=wbase1943

# H2
db.driver=org.h2.Driver
db.url=jdbc:h2:file:../data/uweaverdb;MODE=Oracle;IGNORECASE=TRUE;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE;TRACE_LEVEL_SYSTEM_OUT=2
hibernate.dialect=org.hibernate.dialect.H2Dialect
h2.webserver.port=8082

